# Copy-RASPubItem

### NAME

Copy-RASPubItem\ <br>

### SYNOPSIS

Copy a Published item.\ <br>

### SYNTAX

Copy-RASPubItem -[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Copy-RASPubItem.html#Id) *\<uint>* \[-[ParentId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Copy-RASPubItem.html#ParentId) *\<uint>*] \[-[PreviousId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Copy-RASPubItem.html#PreviousId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Copy-RASPubItem.html#CommonParameters)*>*]\
\
Copy-RASPubItem \[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Copy-RASPubItem.html#InputObject)] *<*[*PubItem*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/PubItem.html)*>* \[-[ParentId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Copy-RASPubItem.html#ParentId) *\<uint>*] \[-[PreviousId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Copy-RASPubItem.html#PreviousId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Copy-RASPubItem.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Copy (duplicate) a published item.\ <br>

### PARAMETERS

\
-**Id \<uint>**\
ID of Pub item to duplicate.\
\
To obtain the pub item ID, use the Get-PubItem command.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**PubItem**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/PubItem.html)**>**\
The published item object.\
\
To obtain a PubItem object representing a published item, use the Get-PubItem command.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
-**ParentId \<uint>**\
ID of a new parent published item.\
\
To obtain the published item ID, use the Get-PubItem command.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                4294967295
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**PreviousId \<uint>**\
ID of a sibling item after which to place the specified published item.\
\
To obtain the sibling item ID, use the Get-PubItem command.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                4294967295
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[PubItem](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/PubItem.html)

### OUTPUTS

[PubItem](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/PubItem.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Copy-RASPubItem -Id 5 -ParentId 12\
\
Duplicate the specified published item and it under the specified parent (ParentId).\
\
To obtain the parent item ID, use the Get-RASPubItem cmdlet.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Copy-RASPubItem -Id 10 -ParentId 12 -PreviousId 22\
\
Duplicate a published item and place it under the specified parent (ParentId) and after the specified sibling item (PreviousId).\
\
To obtain the parent item ID, use the Get-RASPubItem cmdlet.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
$PubItem | Copy-RASPubItem -ParentId 12\
\
Invoke the duplicate pub item command, which is identified by an object obtained from the pipeline output.\
\
To obtain the parent item ID, use the Get-RASPubItem cmdlet.\ <br>

### RELATED LINKS

* [Get-RASPubItem](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASPubItem.html)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/copy-raspubitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
